<?php

namespace Database\Seeders;

// use Illuminate\Database\Console\Seeds\WithoutModelEvents;

use App\Models\User;
use Illuminate\Database\Seeder;

use Spatie\Permission\Models\Permission;
use Spatie\Permission\Models\Role;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     */
    public function run(): void
    {

        
        // Call other seeders
        $this->call([
            DestinataireSeeder::class,
            FournisseurSeeder::class,
            ColieSeeder::class,
        ]);

        // Create roles
        Role::create(['name' => "Operateur", 'guard_name' => "web"]);
        Role::create(['name' => "Responsable_dépôt", 'guard_name' => "web"]);
        Role::create(['name' => "comité_direction", 'guard_name' => "web"]);
        Role::create(['name' => "Responsable_d'exploitation", 'guard_name' => "web"]);

        // Define permissions
        $permissions = [
            'afficher_fournisseur',
            'afficher_operations_out',
            'afficher_operations_in',
            'afficher_operations_retour',
            'afficher_operations_nonValider',
            'afficher_utilisateur',
            'ajouter_fournisseur',
            'ajouter_client',
            'ajouter_afficher_client',
            'ajouter_utilisateur',
            'afficher_operations',
            'afficher_stock',
            'ajouter_produit',
            'afficher_input_database',
            'ajouter_operateur',
            'modifier_utilisateur',
            'modifier_client',
            'supprimer_client',
            'modifier_operations',
            'supprimer_operations',
            'produits',
            'fournisseurs',
            'destinataires',
            'users',
            'supprimer_produit',
            'modifier_produit',
            'afficher_client',
            'modifier_fournisseur',
            'supprimer_fournisseur'
        ];

        // Create permissions
        foreach ($permissions as $permission) {
            Permission::create(['name' => $permission, 'guard_name' => 'web']);
        }

        $user = User::create([
            'name'=>"comité_direction",
            'email'=>"Hicham@gmail.com",
            'id_role'=>3,
            'original_password'=>'123456789',
            'password'=>bcrypt('123456789')
        ]);

        $user->assignRole('comité_direction');
        $user->syncPermissions($permissions);

    }
}
